Bug 976652 - [abrt] UnicodeEncodeError with 'dnf info checkpolicy'
Summary: [abrt] UnicodeEncodeError with 'dnf info checkpolicy'
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 19
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7bd175bf30b00638c6691e25ed9...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-21 06:17 UTC by Maciek Borzecki
Modified: 2014-09-30 23:41 UTC (History)
3 users (show)

Fixed In Version: libsolv-0.3.0-5.git228d412.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 01:37:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.49 KB, text/plain)
2013-06-21 06:18 UTC, Maciek Borzecki
no flags Details
File: core_backtrace (812 bytes, text/plain)
2013-06-21 06:18 UTC, Maciek Borzecki
no flags Details
File: environ (2.03 KB, text/plain)
2013-06-21 06:18 UTC, Maciek Borzecki
no flags Details

Description Maciek Borzecki 2013-06-21 06:17:55 UTC
Description of problem:
Run dnf info

Version-Release number of selected component:
dnf-0.3.7-1.gitf8bdc98.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /bin/dnf info
executable:     /bin/dnf
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
output.py:890:infoOutput:UnicodeEncodeError: 'ascii' codec can't encode character u'\xae' in position 63: ordinal not in range(128)

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 304, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 39, in main
    _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 135, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1295, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 604, in doCommand
    '=' : clir, 'not in' : clie})
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 990, in listPkgs
    self.infoOutput(pkg, highlight=highlight)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 890, in infoOutput
    print(self.fmtKeyValFill(_("Description : "),self._enc(pkg.description)))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xae' in position 63: ordinal not in range(128)

Local variables in innermost frame:
hibeg: ''
yumdb_info: <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x68cbf10>
hiend: ''
self: <dnf.cli.cli.YumBaseCli object at 0x20e1710>
pkg: <hawkey.Package object id 171, checkpolicy-2.1.12-3.fc19.x86_64, @System>
highlight: 'normal'

Comment 1 Maciek Borzecki 2013-06-21 06:18:00 UTC
Created attachment 763669 [details]
File: backtrace

Comment 2 Maciek Borzecki 2013-06-21 06:18:06 UTC
Created attachment 763670 [details]
File: core_backtrace

Comment 3 Maciek Borzecki 2013-06-21 06:18:10 UTC
Created attachment 763671 [details]
File: environ

Comment 4 Ales Kozumplik 2013-06-21 07:10:06 UTC
reproducer:

set LC_ALL to C and run:
dnf info checkpolicy

Comment 5 Ales Kozumplik 2013-06-21 11:25:36 UTC
Fixed by 1ad315b, will be included in dnf-0.3.8.

Comment 6 Fedora Update System 2013-06-24 13:25:50 UTC
libsolv-0.3.0-5.git228d412.fc19, librepo-0.0.4-2.fc19, hawkey-0.3.14-1.git78b3aa0.fc19, dnf-0.3.8-2.git85524ae.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libsolv-0.3.0-5.git228d412.fc19,dnf-0.3.8-2.git85524ae.fc19,hawkey-0.3.14-1.git78b3aa0.fc19,librepo-0.0.4-2.fc19

Comment 7 Fedora Update System 2013-06-24 18:50:16 UTC
Package libsolv-0.3.0-5.git228d412.fc19, librepo-0.0.4-2.fc19, hawkey-0.3.14-1.git78b3aa0.fc19, dnf-0.3.8-2.git85524ae.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libsolv-0.3.0-5.git228d412.fc19 librepo-0.0.4-2.fc19 hawkey-0.3.14-1.git78b3aa0.fc19 dnf-0.3.8-2.git85524ae.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11602/libsolv-0.3.0-5.git228d412.fc19,dnf-0.3.8-2.git85524ae.fc19,hawkey-0.3.14-1.git78b3aa0.fc19,librepo-0.0.4-2.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-07-01 01:37:35 UTC
libsolv-0.3.0-5.git228d412.fc19, librepo-0.0.4-2.fc19, hawkey-0.3.14-1.git78b3aa0.fc19, dnf-0.3.8-2.git85524ae.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.